> # NAME

> cgGLGetMatrixParameterArray - get the values from an matrix array parameter

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       /* TYPE is float or double */

>       void cgGLGetMatrixParameterArray{fd}{rc}( CGparameter param,
>                                                 long offset,
>                                                 long nelements,
>                                                 TYPE * v );

> # PARAMETERS

> param

>   The matrix array parameter from which the values will be retrieved.

> offset

>   An offset into the array parameter at which to start getting elements. A value of 0 will begin at the first element of the array.

> nelements

>   The number of elements to get. A value of 0 will default to the total number of elements in the array minus the value of offset.

> v

>   The array into which to retrieve the values. The size of the array must be nelements times the number of elements in the matrix.

> # RETURN VALUES

> None.

> # DESCRIPTION

> The cgGLGetMatrixParameterArray functions retrieve an array of values from a matrix array parameter.

> There are versions of the function that return either float or double values signified by f or d in the function name.

> There are versions of the function that assume the array of values is laid out in either row or column order signified by r or c respectively in the function name.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_NOT_MATRIX_PARAM_ERROR is generated if the elements of param are not matrix parameters.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if the offset or the nelements parameter is out of the array bounds.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> # HISTORY

> The cgGLGetMatrixParameterArray functions were introduced in Cg 1.1.

> # SEE ALSO

> cgGLGetParameter, cgGLSetParameter, cgGLSetParameterArray